UDPBroadcastEndpointFactory (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.api.core

## Class UDPBroadcastEndpointFactory

- java.lang.Object
- - org.apache.activemq.artemis.api.core.UDPBroadcastEndpointFactory

- All Implemented Interfaces:
    Serializable, BroadcastEndpointFactory

      public final class UDPBroadcastEndpointFactory
      extends Object
      implements BroadcastEndpointFactory

  The configuration used to determine how the server will broadcast members.

  This is analogous to `DiscoveryGroupConfiguration`

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UDPBroadcastEndpointFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BroadcastEndpoint` | `createBroadcastEndpoint()`
    `boolean` | `equals(Object obj)`
    `String` | `getGroupAddress()`
    `int` | `getGroupPort()`
    `String` | `getLocalBindAddress()`
    `int` | `getLocalBindPort()`
    `int` | `hashCode()`
    `UDPBroadcastEndpointFactory` | `setGroupAddress(String groupAddress)`
    `UDPBroadcastEndpointFactory` | `setGroupPort(int groupPort)`
    `UDPBroadcastEndpointFactory` | `setLocalBindAddress(String localBindAddress)`
    `UDPBroadcastEndpointFactory` | `setLocalBindPort(int localBindPort)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UDPBroadcastEndpointFactory

          public UDPBroadcastEndpointFactory()

  - ### Method Detail

    - #### createBroadcastEndpoint

          public BroadcastEndpoint createBroadcastEndpoint()
                                                    throws Exception

      Specified by:
        `createBroadcastEndpoint` in interface `BroadcastEndpointFactory`
      Throws:
        `Exception`

    - #### getGroupAddress

          public String getGroupAddress()

    - #### setGroupAddress

          public UDPBroadcastEndpointFactory setGroupAddress(String groupAddress)

    - #### getGroupPort

          public int getGroupPort()

    - #### setGroupPort

          public UDPBroadcastEndpointFactory setGroupPort(int groupPort)

    - #### getLocalBindPort

          public int getLocalBindPort()

    - #### setLocalBindPort

          public UDPBroadcastEndpointFactory setLocalBindPort(int localBindPort)

    - #### getLocalBindAddress

          public String getLocalBindAddress()

    - #### setLocalBindAddress

          public UDPBroadcastEndpointFactory setLocalBindAddress(String localBindAddress)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2015. All rights reserved.